<?
if (!defined('_GNUBOARD_')) exit;

function editor_load() {
    global $g4;
    return "<link rel=\"stylesheet\" href=\"".AMINA_URL."/app/DEditor/css/editor.css\" type=\"text/css\" charset=\"utf-8\"/>\n"
         . "<script src=\"".AMINA_URL."/app/DEditor/js/editor_loader.js\" type=\"text/javascript\" charset=\"utf-8\"></script>\n";
}

/*
emement_id 는 textarea 의 id 를 말한다.
content 는 textarea 의 내용(값)을 말한다. 수정시에 저장된 값을 노출할때 사용된다.
폭은 거의 100%로 사용하므로 앞에 height 를 놓았다.
*/
function editor_run($element_id, $content, $height='300', $width='100%')
{
    global $g4;
	ob_start();
	include AMINA_PATH.'/app/DEditor/editor.php';
    $DEditor = ob_get_contents();
    ob_end_clean();

	return $DEditor;
}

function editor_submit($element_id)
{
	return "if(!saveContent()) return false;\n";

}
?>